summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-12-27 18:51:12 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-12-27 18:51:12 +0000
commit5a42dba63cb4192c31a4fa0ec58d1378cf0bbd5c (patch)
treeac3bb030745d80b1bdda3e6bd379f714de7d88f3 /dev-python
parent8fd95d70d92855e5184d00d522ce5d65afd4bb68 (diff)
downloadbaldeagleos-repo-5a42dba63cb4192c31a4fa0ec58d1378cf0bbd5c.tar.gz
baldeagleos-repo-5a42dba63cb4192c31a4fa0ec58d1378cf0bbd5c.tar.xz
baldeagleos-repo-5a42dba63cb4192c31a4fa0ec58d1378cf0bbd5c.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiohttp-socks/Manifest1
-rw-r--r--dev-python/aiohttp-socks/aiohttp-socks-0.10.1.ebuild40
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.35.88.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.35.88.ebuild67
-rw-r--r--dev-python/coverage/Manifest4
-rw-r--r--dev-python/coverage/coverage-7.6.10.ebuild (renamed from dev-python/coverage/coverage-7.6.5.ebuild)0
-rw-r--r--dev-python/coverage/coverage-7.6.7.ebuild102
-rw-r--r--dev-python/coverage/coverage-7.6.8.ebuild102
-rw-r--r--dev-python/coverage/coverage-7.6.9.ebuild2
-rw-r--r--dev-python/fixtures/Manifest1
-rw-r--r--dev-python/fixtures/fixtures-4.2.2.ebuild26
-rw-r--r--dev-python/griffe/Manifest3
-rw-r--r--dev-python/griffe/griffe-1.5.0.ebuild49
-rw-r--r--dev-python/griffe/griffe-1.5.4.ebuild (renamed from dev-python/griffe/griffe-1.4.1.ebuild)0
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/mkdocstrings-python/Manifest3
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-1.12.0.ebuild35
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-1.13.0.ebuild (renamed from dev-python/mkdocstrings-python/mkdocstrings-python-1.12.1.ebuild)13
-rw-r--r--dev-python/moto/Manifest1
-rw-r--r--dev-python/moto/moto-5.0.25.ebuild132
-rw-r--r--dev-python/pulsectl/Manifest1
-rw-r--r--dev-python/pulsectl/pulsectl-24.12.0.ebuild30
-rw-r--r--dev-python/pyqt-builder/pyqt-builder-1.17.0.ebuild2
-rw-r--r--dev-python/pyqt6-sip/pyqt6-sip-13.9.1.ebuild2
-rw-r--r--dev-python/pyqt6-webengine/pyqt6-webengine-6.8.0.ebuild2
-rw-r--r--dev-python/pyqt6/pyqt6-6.8.0.ebuild2
-rw-r--r--dev-python/pyside6-tools/pyside6-tools-6.8.1.ebuild2
-rw-r--r--dev-python/pyside6/pyside6-6.8.1.ebuild2
-rw-r--r--dev-python/pyzotero/Manifest1
-rw-r--r--dev-python/pyzotero/pyzotero-1.6.1.ebuild38
-rw-r--r--dev-python/qtpy/qtpy-2.4.2-r1.ebuild2
-rw-r--r--dev-python/shiboken6/shiboken6-6.8.1.ebuild2
-rw-r--r--dev-python/sip/sip-6.9.1.ebuild2
-rw-r--r--dev-python/uv/Manifest3
-rw-r--r--dev-python/uv/uv-0.5.12.ebuild170
40 files changed, 612 insertions, 314 deletions
diff --git a/dev-python/aiohttp-socks/Manifest b/dev-python/aiohttp-socks/Manifest
index 1d75df184e1a..481218730f8f 100644
--- a/dev-python/aiohttp-socks/Manifest
+++ b/dev-python/aiohttp-socks/Manifest
@@ -1,3 +1,4 @@
DIST aiohttp-socks-0.10.0.gh.tar.gz 13778 BLAKE2B 2bee4f2befa2ecefc121cea67cffaad8f0e6560651f73f0549cc9e5a7afa05b05ef7c1fc361149ed72df5ba1b89db017d09e70c3ae4d8ddebc7f5eadab5b09bc SHA512 18d0354cfaf49c7dee076bc7fe47f338122f5ee1f9fc42c22cfab4ab878a05941bcc1d3df0fa5c3107d6ed191ab459bdcf6a1a408f9357351518661b434dd0ef
+DIST aiohttp-socks-0.10.1.gh.tar.gz 13783 BLAKE2B e1446c13847bde3cf39a55ba650bf20037199694006b15101925c812a304c24a558722809a14299e97e6d1a7eae9ff4433d6f9f15232dbb7bad2c280773de1d6 SHA512 0519a82d4a157ef708deed89706606ffe318ad935ec8a1ff4bd94fe3acdab294e44eb99119f90e639ef4a7f16c705fe6688f45c31286d4ada0ecd8859a3a69c9
DIST aiohttp-socks-0.9.1.gh.tar.gz 13699 BLAKE2B 9d6f86fdb767b286f72b6b6a9c7c7abd5a4ee05f52bfe5c94830ee477a12cd1c97572e31acdb05ca8ea0d70a5a12bd23afff7b946859e7de3fa8ce4cfdafd18e SHA512 dd4f5c2a8a7c7af6d46293fd0213fedd3f75c0cf36b96c776aa05f7e1433d2032c7927f1b10cf74d801e5e294bd0cde066562abcd8b196aeb0e1c58a88de0423
DIST aiohttp-socks-0.9.2.gh.tar.gz 13845 BLAKE2B fb401ad108804a4dccce7aed096a91b655d698c74a02da778876e8b35b5f1798f83f9c51f9b0aa7820d1c2d70bb3f316727daa27aabe00f96e8b744487a79847 SHA512 bbbf85baa1784dbdda42e2fc12e8fa6774da020a023a05fa1c3760ba87ada373ff9f6656d39ae9f3efac1925fdeca03df3f9d8e57ac05fc1fb347407201f482b
diff --git a/dev-python/aiohttp-socks/aiohttp-socks-0.10.1.ebuild b/dev-python/aiohttp-socks/aiohttp-socks-0.10.1.ebuild
new file mode 100644
index 000000000000..8c92513ab68e
--- /dev/null
+++ b/dev-python/aiohttp-socks/aiohttp-socks-0.10.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="SOCKS proxy connector for aiohttp"
+HOMEPAGE="
+ https://pypi.org/project/aiohttp-socks/
+ https://github.com/romis2012/aiohttp-socks/
+"
+SRC_URI="
+ https://github.com/romis2012/aiohttp-socks/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aiohttp-3.10.0[${PYTHON_USEDEP}]
+ >=dev-python/python-socks-2.4.3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/yarl[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/tiny-proxy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 8a702cccd5a4..b21797bb6c43 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,3 +2,4 @@ DIST boto3-1.35.76.gh.tar.gz 910113 BLAKE2B 3e7429976b348e29ba4184bffe03c643b85d
DIST boto3-1.35.81.gh.tar.gz 913534 BLAKE2B aab88ae95d4c93c8f54042ef2b3ec9defdafa4d9dd4dfb57ff1da896254bbc0d1ac8c4583b8870cc8cc814366f9ef79d67d69d45b0f373878d1c22dba465e523 SHA512 fcbc31295a94983620405dbaa0f32eee2149619cf113658c2955fe84ca541cb93e8d6d637d8d7b322e6b7252bfc390b4aff77b99af3978267c64cfa5effef1f3
DIST boto3-1.35.86.gh.tar.gz 917880 BLAKE2B 9ebf2ff2d8674013f6edead87ff92c649e977ff942fd50dfe80da4ac7a00f812735ff38791e5572b442524d335a838f4cb16fa0cc2bf54e51ef5932cb4639bf2 SHA512 4daa945a64381aca49175211b40893bf05ec733a92ab8b972c3c3e53cfd29ac8ca142c7903ee49ba75097bdf10f7a7b36d35ff0f8cb1501b12149c9f6dffdb65
DIST boto3-1.35.87.gh.tar.gz 918374 BLAKE2B 9cc0ceaddb41fed4d776495bf1f7647c3fe3ddcadce54ed31e422964e09b9269b48206ddcb4c6d6344afa4b6ee73a4ed0a3808f2be168ba9c0709b7dfb5ca697 SHA512 ce63979076b9ad33aef2c5190e4492dd96dd7f672d9a2a4fb5a75b8ef19f31754371dfa10c86b1fad1fcf980e72fa84f9312daf2e7c3131e53e8325229e1b76f
+DIST boto3-1.35.88.gh.tar.gz 918543 BLAKE2B b5ee939bf8307c94d84ac4958d82be908df9ebc6f0585695c27ca509659fd69ee95e4806211108add40ddb5bab13736a1c1c6e8da591e1fa3952330a3e2f85b2 SHA512 07f4d244ace9bc6483b9734b1e152b00c084181a9b0f909d7ad7c3a8df2a663c7b9dad49e65f57b63d40dce57fd663226350998e01fd0b054c4ceb0bd8a92bdb
diff --git a/dev-python/boto3/boto3-1.35.88.ebuild b/dev-python/boto3/boto3-1.35.88.ebuild
new file mode 100644
index 000000000000..d91ce27598cf
--- /dev/null
+++ b/dev-python/boto3/boto3-1.35.88.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 5c5c79e7f02d..0da8cd0fb4a2 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.35.76.gh.tar.gz 14117270 BLAKE2B b072b926daae520e54871676d5afc48
DIST botocore-1.35.81.gh.tar.gz 14142565 BLAKE2B f0c5c284f5f0964841ab0f84f278fa574b696df614d5602856065c83971bf366449b7ccb12fbf15c3bb734d894e6eb49be89e5dae3000bd8fd8913d2f465c5e6 SHA512 7b67d6f1dc31369afc3a4ebf109682b9365b59fe46635ef92b0e8adcaa16fbcaf7e1350a13537149dd0a55b60a57534a18d9f4e8bbb28663e8b2e427ece20819
DIST botocore-1.35.86.gh.tar.gz 14177900 BLAKE2B 7b80010dca6496eceedf8598f195ac80d4416c0f2032f931586a1db2ec100185e8c9591d6d42f549fb9a579b295178aee293c4b317717b4e9264d9adc54fb2c5 SHA512 28185963f5a3a937bddcd47a3afc13fab16b32ec092bfa7b6c007ff77cfe5e0ead1b253f708ff9077638185173034d484abee0d49f97475a88dfb00fad0c31c2
DIST botocore-1.35.87.gh.tar.gz 14180574 BLAKE2B 2b2a685940528ebc99c2f8f6651536545b624ecbe9fbba69c72be419e7891b91dde0d196ffd0ec434fdf02b530637fe575ae2720f44988fda21fa08deae26a39 SHA512 ff8065b8cc5926243e1888338040d431d6f00cc3a636ca62db794756b90ef66789c4600a4fced96c748a6b106ff0f7b599aaae4298e2fe7e5b8d78e90e0b58ed
+DIST botocore-1.35.88.gh.tar.gz 14178518 BLAKE2B 81cd23b41b4219d19891b23e038499c40398a675dfdba26c9bf06bc838f7f013734b3fd88b08843499f420a6165fa4c38905c320d4663223a8b59a40ce1233cb SHA512 3aab3f9a4faac57facd743bac028cbab3581708717bf9cb3ef6dbdff1ad7c01354e4c4fb28af9c056fff490e92d4e733d9ba60fba73fd4d7424af6f0290a9e55
diff --git a/dev-python/botocore/botocore-1.35.88.ebuild b/dev-python/botocore/botocore-1.35.88.ebuild
new file mode 100644
index 000000000000..7816e9efeb52
--- /dev/null
+++ b/dev-python/botocore/botocore-1.35.88.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index 8f7fe609377b..b4d9706cbf74 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -1,5 +1,3 @@
+DIST coverage-7.6.10.tar.gz 803868 BLAKE2B 88ab379f33ca3056b03020befa56406b3e4d8ce57f9152abddefbf77186dbccd993e855078ea6f61ed2da3d198aab9b63e65fb9db3789a80bb080b1907e9de80 SHA512 3badf42f8f1f1dc19ff7dd7cca7fe57cd738364fea71b1fee52ec7774fbebd2bb241154d2ca06adb6ed87766179bcf0b6eb9a5120af5ec8f3df7b6fd0c27fa02
DIST coverage-7.6.4.tar.gz 798716 BLAKE2B 2b89e05fa71b18d94e19e9ee7acf3cea4125aa0baf32425e1bcdd695fbad4ac46f89d761cdd1593df1cc59d622dc6b63c010cb85d1b7c0d1396da4b0ac0c29c8 SHA512 ebd0f08584fbe6741f1b578bff22b3bc916b4ea352fd906a090c7a497ab7b885417e83344f108e95a22e93db306822e670578cc290af48e7a24f5a04956bceec
-DIST coverage-7.6.5.tar.gz 799549 BLAKE2B f571b32e3b7e6168e0e132bfec82a44e2897c6a7e381d3df77ad41bfb0afafea4ae32969841329b2b37a3db2bfdcd0ce9ba208fb350396db762168e1e968196b SHA512 8d7cb585d100080db239c05c2a1d09de9c9da0b2372616d9b6e7f52becc1273df347abd7568fce20dc18357badc6ba12e30255bc39876768b3bf32365f1900ad
-DIST coverage-7.6.7.tar.gz 799938 BLAKE2B f780fdefcb9a9610384646ede95acaff27d1a27a6fcefdcf092baac6134c0731914c10c195fce966282c33b06f45d4fd404b275cb797d6bbbae681ad6abbe916 SHA512 73b4cf99eb17b2615e5c70488ee219d25e18c0484dc5e53dbaba459486b6b2308c60adfc4acf9093c258e5914729dfbbf21401a871ce6ed3c01bf95912261fc0
-DIST coverage-7.6.8.tar.gz 801425 BLAKE2B a1bfb660a0e079411c13d4fca28863085c6010cb696b4e0dd7d06686313baea1bb25c91373b095630854d737fdf003fd8ced67e91e356d807e2b9b4fc903398c SHA512 1d1aea6fba8511ebd0db1a5f528dccf79d40280b8f8a0531dfca293611346df2f82dba974a351a3ea1a17e648b30ea7ea6689cb646c56de84ac33778362b4b4c
DIST coverage-7.6.9.tar.gz 801710 BLAKE2B ac3a28d939e5ad7af341e8ef6ac2021ce9aad14117a4f6a31ae68432a0d55c2721c0f99a5e4fec40d4f2bf293e1cd549533643d3f1d6dd20997955614c7eb987 SHA512 ee2e3f93dfd723dabe3c88bac888c056f8dabc890d9078c49393d01c21522d946f7f6d50565a978dfc1d5b8009eca612d9a102a86f568689adc85df8478ecb8c
diff --git a/dev-python/coverage/coverage-7.6.5.ebuild b/dev-python/coverage/coverage-7.6.10.ebuild
index 5f3cb4e3c7fe..5f3cb4e3c7fe 100644
--- a/dev-python/coverage/coverage-7.6.5.ebuild
+++ b/dev-python/coverage/coverage-7.6.10.ebuild
diff --git a/dev-python/coverage/coverage-7.6.7.ebuild b/dev-python/coverage/coverage-7.6.7.ebuild
deleted file mode 100644
index f2ee3e97f0e0..000000000000
--- a/dev-python/coverage/coverage-7.6.7.ebuild
+++ /dev/null
@@ -1,102 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-PYTHON_REQ_USE="threads(+),sqlite(+)"
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Code coverage measurement for Python"
-HOMEPAGE="
- https://coverage.readthedocs.io/en/latest/
- https://github.com/nedbat/coveragepy/
- https://pypi.org/project/coverage/
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
-
-RDEPEND="
- $(python_gen_cond_dep '
- dev-python/tomli[${PYTHON_USEDEP}]
- ' 3.10)
-"
-BDEPEND="
- test? (
- dev-python/flaky[${PYTHON_USEDEP}]
- dev-python/hypothesis[${PYTHON_USEDEP}]
- dev-python/pytest-xdist[${PYTHON_USEDEP}]
- >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- sed -i -e '/addopts/s:-q -n auto::' pyproject.toml || die
- distutils-r1_src_prepare
-}
-
-test_tracer() {
- local -x COVERAGE_CORE=${1}
- einfo " Testing with the ${COVERAGE_CORE} core ..."
- epytest -p flaky -p hypothesis -p xdist tests
-}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # TODO: fails because of additional "Terminated" print on SIGTERM
- tests/test_concurrency.py::SigtermTest::test_sigterm_threading_saves_data
- # broken because of pytest plugins explicity loaded
- tests/test_debug.py::ShortStackTest::test_short_stack{,_skip}
- # these expect specific availability of C extension matching
- # COVERAGE_CORE (which breaks testing pytracer on CPython)
- tests/test_cmdline.py::CmdLineStdoutTest::test_version
- tests/test_debug.py::DebugTraceTest::test_debug_sys_ctracer
- # mismatch of expected concurrency in error message
- # TODO: report upstream?
- tests/test_concurrency.py::ConcurrencyTest::test_greenlet
- tests/test_concurrency.py::ConcurrencyTest::test_greenlet_simple_code
- )
- local EPYTEST_IGNORE=(
- # pip these days insists on fetching build deps from Internet
- tests/test_venv.py
- )
-
- "${EPYTHON}" igor.py zip_mods || die
-
- local -x COVERAGE_TESTING=True
- # TODO: figure out why they can't be imported inside test env
- local -x COVERAGE_NO_CONTRACTS=1
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
-
- local prev_opt=$(shopt -p nullglob)
- shopt -s nullglob
- local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
- ${prev_opt}
-
- if [[ -n ${c_ext} ]]; then
- cp "${c_ext}" coverage/ || die
- test_tracer ctrace
- fi
-
- test_tracer pytrace
-
- case ${EPYTHON} in
- python3.1[01]|pypy3)
- ;;
- *)
- # available since Python 3.12
- test_tracer sysmon
- ;;
- esac
-
- if [[ -n ${c_ext} ]]; then
- rm coverage/*.so || die
- fi
-}
diff --git a/dev-python/coverage/coverage-7.6.8.ebuild b/dev-python/coverage/coverage-7.6.8.ebuild
deleted file mode 100644
index 5f3cb4e3c7fe..000000000000
--- a/dev-python/coverage/coverage-7.6.8.ebuild
+++ /dev/null
@@ -1,102 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-PYTHON_REQ_USE="threads(+),sqlite(+)"
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Code coverage measurement for Python"
-HOMEPAGE="
- https://coverage.readthedocs.io/en/latest/
- https://github.com/nedbat/coveragepy/
- https://pypi.org/project/coverage/
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
-
-RDEPEND="
- $(python_gen_cond_dep '
- dev-python/tomli[${PYTHON_USEDEP}]
- ' 3.10)
-"
-BDEPEND="
- test? (
- dev-python/flaky[${PYTHON_USEDEP}]
- dev-python/hypothesis[${PYTHON_USEDEP}]
- dev-python/pytest-xdist[${PYTHON_USEDEP}]
- >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- sed -i -e '/addopts/s:-q -n auto::' pyproject.toml || die
- distutils-r1_src_prepare
-}
-
-test_tracer() {
- local -x COVERAGE_CORE=${1}
- einfo " Testing with the ${COVERAGE_CORE} core ..."
- epytest -p flaky -p hypothesis -p xdist tests
-}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # TODO: fails because of additional "Terminated" print on SIGTERM
- tests/test_concurrency.py::SigtermTest::test_sigterm_threading_saves_data
- # broken because of pytest plugins explicity loaded
- tests/test_debug.py::ShortStackTest::test_short_stack{,_skip}
- # these expect specific availability of C extension matching
- # COVERAGE_CORE (which breaks testing pytracer on CPython)
- tests/test_cmdline.py::CmdLineStdoutTest::test_version
- tests/test_debug.py::DebugTraceTest::test_debug_sys_ctracer
- # mismatch of expected concurrency in error message
- # TODO: report upstream?
- tests/test_concurrency.py::ConcurrencyTest::test_greenlet
- tests/test_concurrency.py::ConcurrencyTest::test_greenlet_simple_code
- )
- local EPYTEST_IGNORE=(
- # pip these days insists on fetching build deps from Internet
- tests/test_venv.py
- )
-
- "${EPYTHON}" igor.py zip_mods || die
-
- local -x COVERAGE_TESTING=True
- # TODO: figure out why they can't be imported inside test env
- local -x COVERAGE_NO_CONTRACTS=1
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
-
- local prev_opt=$(shopt -p nullglob)
- shopt -s nullglob
- local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
- ${prev_opt}
-
- if [[ -n ${c_ext} ]]; then
- cp "${c_ext}" coverage/ || die
- test_tracer ctrace
- fi
-
- test_tracer pytrace
-
- case ${EPYTHON} in
- python3.1[01]|pypy3)
- ;;
- *)
- # available since Python 3.12
- test_tracer sysmon
- ;;
- esac
-
- if [[ -n ${c_ext} ]]; then
- rm coverage/*.so || die
- fi
-}
diff --git a/dev-python/coverage/coverage-7.6.9.ebuild b/dev-python/coverage/coverage-7.6.9.ebuild
index f2ee3e97f0e0..07bd8fb2239e 100644
--- a/dev-python/coverage/coverage-7.6.9.ebuild
+++ b/dev-python/coverage/coverage-7.6.9.ebuild
@@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-python/fixtures/Manifest b/dev-python/fixtures/Manifest
index e4eeee10037b..5c4d6b5c61ef 100644
--- a/dev-python/fixtures/Manifest
+++ b/dev-python/fixtures/Manifest
@@ -1 +1,2 @@
DIST fixtures-4.1.0.tar.gz 58561 BLAKE2B fc88ee580806e289d3d4a8a35701b0b17ee48bc157dbb355035ac0fb1bde64bdbf3596d54538e6032c74f8862a36fea92d1f72a96fd7d60c04480089db755bd8 SHA512 6897449fdefd07abe7714186b366fdf4505283f6747f8fa4d17044bc45da58eb36e69d89381527ccecb98e6c62c58bc6d4f558af41cbfc87b0221ae60ba71ff6
+DIST fixtures-4.2.2.tar.gz 59199 BLAKE2B 4e390e767e180009533dda5d68e4f4bbbe903acb75d3227a3a447c2b17a3d0497131271888a8ccb5385db447f1f892300811a8a7224ae95fedbeeb37cd31cda6 SHA512 fabb1092bee985d446e7f6eccb7f61d7e89a50b6fb98455d3ea6a45670568a4200fd57409ab78edf288c4103c45f5bf0bd62fc9886a6f9101c1d626078b1fb38
diff --git a/dev-python/fixtures/fixtures-4.2.2.ebuild b/dev-python/fixtures/fixtures-4.2.2.ebuild
new file mode 100644
index 000000000000..efb3d76fdb36
--- /dev/null
+++ b/dev-python/fixtures/fixtures-4.2.2.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pbr
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fixtures, reusable state for writing clean tests and more"
+HOMEPAGE="
+ https://github.com/testing-cabal/fixtures/
+ https://pypi.org/project/fixtures/
+"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/pbr-5.7.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.5.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/griffe/Manifest b/dev-python/griffe/Manifest
index b3b676482993..fbd1fa01a8d8 100644
--- a/dev-python/griffe/Manifest
+++ b/dev-python/griffe/Manifest
@@ -1,3 +1,2 @@
-DIST griffe-1.4.1.gh.tar.gz 383674 BLAKE2B d85a7c7dcc1406d361bd13b7a356b79d02d00d3bf24bb21a4f279b537d1001263b61af959ad27be50422d4cf56d5b75db79150b6d9bebfc4191217b2b9e4b09b SHA512 cb6c498daa6bce724c1cfd008e3b6c5c17ada8027a9cee58705a64739b7d049773d13fe08c7519777cb0c4870619d2b51426c2cad1d87404c6487ac10a60d703
-DIST griffe-1.5.0.gh.tar.gz 385479 BLAKE2B 835c1a8798b55305673635459a8de077ae71796aaf6fcd977fae602d5214ac4ef616cf05bc364fe20f1db63d0a6f8ace74ba40e9de34acd03536cf58e302f62f SHA512 3b5a5cd8a50696293ff6046afb3259ab7bb86d7b660d263b304fc5126970b06fbfff0b6da670a977c0df27c749f97bf9699d4fcc70cca9261769206664f3b612
DIST griffe-1.5.1.gh.tar.gz 385601 BLAKE2B 0d38626937af61000d2e0e1520353b00b103b33eccb9dc356e93615d0a85cc3a23d51cf9967e98666fbebb81368486bd1c87731ee9ea4f102586cce56abe3002 SHA512 9c4edbba478adb480aff15590c2b2a0c9619298652f34606f872088b05a60ce39d2f3ae8ca6a60c6fdc03a1e7ac1c8ec3a0ac6bae21043d349b87edd95b8e500
+DIST griffe-1.5.4.gh.tar.gz 391756 BLAKE2B 61f027aaaff3a1476c74646322d01db4c7f1dc2cc6c70b5d6dc27c53b71967a2304870e916120e5777612f36ce3b208227e06824bb6b5a3db0216e1016f416c5 SHA512 fa924f62a03c94f1ad45cbbff8f38262b24883ff464e3c72bce08bcdfee0722aa54a84660894e2a75a7294a041d3c928e2ce2e210c8229951d0b7e8453c88351
diff --git a/dev-python/griffe/griffe-1.5.0.ebuild b/dev-python/griffe/griffe-1.5.0.ebuild
deleted file mode 100644
index 06ef983f39dd..000000000000
--- a/dev-python/griffe/griffe-1.5.0.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=pdm-backend
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1
-
-DESCRIPTION="Signature generator for Python programs"
-HOMEPAGE="
- https://mkdocstrings.github.io/griffe/
- https://github.com/mkdocstrings/griffe/
- https://pypi.org/project/griffe/
-"
-# Tests need files absent from the PyPI tarballs
-SRC_URI="
- https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~riscv"
-
-RDEPEND="
- >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/backports-strenum-1.3[${PYTHON_USEDEP}]
- ' 3.10)
-"
-BDEPEND="
- test? (
- >=dev-python/jsonschema-4.17[${PYTHON_USEDEP}]
- dev-python/mkdocstrings[${PYTHON_USEDEP}]
- >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
-
-EPYTEST_DESELECT=(
- # fragile to installed packages
- # (failed on PySide2 for me)
- tests/test_stdlib.py::test_fuzzing_on_stdlib
-)
diff --git a/dev-python/griffe/griffe-1.4.1.ebuild b/dev-python/griffe/griffe-1.5.4.ebuild
index 06ef983f39dd..06ef983f39dd 100644
--- a/dev-python/griffe/griffe-1.4.1.ebuild
+++ b/dev-python/griffe/griffe-1.5.4.ebuild
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index 37a64204a00a..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9b3521c5721afa49a58e0c35267f7d82bb56bd7e1d6d3152be0d36cd220180a526cb20b90b1113fbf0fff4a512137570f0b3bcf864498b7b7cc00403cb61ca27 SHA512 16d311400bf84a5f04e15f3da4b68b2810e4b005009f4d03dc8a487176dfc294403c976c412c83dcfa8084a49ef7b7d5389b43fb2ba446ce107ce4595e3558c6
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
new file mode 100644
index 000000000000..637368d2f237
--- /dev/null
+++ b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
@@ -0,0 +1,13 @@
+Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
+
+--- a/setup.py
++++ b/setup.py
+@@ -18,7 +18,7 @@ setup(
+ author_email='michal.danilak@gmail.com',
+ url='https://github.com/Mimino666/langdetect',
+ keywords='language detection library',
+- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
++ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
+ include_package_data=True,
+ install_requires=['six'],
+ license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 56733bbffc48..eb2586280d80 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,4 +19,6 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
+
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..c0f74ac187e2 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,11 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
+ <email>pastalian46@gmail.com</email>
+ <name>Takuya Wakazono</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/mkdocstrings-python/Manifest b/dev-python/mkdocstrings-python/Manifest
index cc753a72aa2b..ec1378ccf7f8 100644
--- a/dev-python/mkdocstrings-python/Manifest
+++ b/dev-python/mkdocstrings-python/Manifest
@@ -1,3 +1,2 @@
-DIST mkdocstrings_python-1.12.0.tar.gz 167909 BLAKE2B b9bc04bd9e82a17c97773eb054ea7e1fdb8548073b334a13020149c10e656cd390ae7036c2a6809203fc673f471d06891c47d1859ea10fe0580dcbae9b38d79a SHA512 0cf21f6d57a3ff9be8e194eb0915fa8ba72aaee1d7499be68e749f2f23821c5009876c981a4d2c879345a005f22fa587a52a1ed6c9f72b1594b1c3ca71aad8e6
-DIST mkdocstrings_python-1.12.1.tar.gz 168014 BLAKE2B a94ecb58d28b7e6b6c7407a1d65e1cc462e87a94b9a7b622ac1838932270f25ba205e89948a0dd6a170eaf23308c2c2e353c76227ff1e86611ee61db8c88cd10 SHA512 fc25024265255a312f3cac14d03e56dc00ef7a71806b417639a2c8e5a280242d4aaee2f8d82f984d9a95149d49218b3971f17000976526a914ef83e375bd9675
DIST mkdocstrings_python-1.12.2.tar.gz 168207 BLAKE2B 4173a83b118f02f6d1c930aab1ef7d59f6108e73db6e5ac8f541f4d45203b0ffac7896ee4c97cca677f910dad5cf9de65bf755263fd82aadff83f75ebb05396e SHA512 19d7bcf21ab9e92be69dbb410d544c46f14bab6b2f02ad26c31a77c2aa2929c5e0044406c1a90a2bab2f27effc4bec84b4871ce9c8c3c4503773b11db1c856af
+DIST mkdocstrings_python-1.13.0.tar.gz 185697 BLAKE2B e3ab2da319147a9c28bb8df7074ab6fa61616fd950bc522b9711e23ab3f0d5f6c50ee82ce193e8b4051fdfe7ce1ae110617acc89a045acf73b49c4afe0fd05a3 SHA512 0414a09000a09515e5da1d8ea5a9cd59fa405de0de15a5c225ab57cc2280f47e7bf11196d6f41bb9626c5dd632cf37000f59cc4e156c7c061c8b46fca1563d05
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-1.12.0.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-1.12.0.ebuild
deleted file mode 100644
index e0cab3a4c2aa..000000000000
--- a/dev-python/mkdocstrings-python/mkdocstrings-python-1.12.0.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=pdm-backend
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Python handler for dev-python/mkdocstrings"
-HOMEPAGE="
- https://mkdocstrings.github.io/python/
- https://github.com/mkdocstrings/python/
- https://pypi.org/project/mkdocstrings-python/
-"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~riscv"
-
-RDEPEND="
- >=dev-python/griffe-0.49[${PYTHON_USEDEP}]
- >=dev-python/mkdocstrings-0.26.0[${PYTHON_USEDEP}]
- >=dev-python/mkdocs-autorefs-1.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mkdocs-material[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export PDM_BUILD_SCM_VERSION=${PV}
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-1.12.1.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-1.13.0.ebuild
index e0cab3a4c2aa..1598ac712df6 100644
--- a/dev-python/mkdocstrings-python/mkdocstrings-python-1.12.1.ebuild
+++ b/dev-python/mkdocstrings-python/mkdocstrings-python-1.13.0.ebuild
@@ -26,6 +26,8 @@ RDEPEND="
"
BDEPEND="
test? (
+ >=dev-python/beautifulsoup4-4.12.3[${PYTHON_USEDEP}]
+ >=dev-python/inline-snapshot-0.18[${PYTHON_USEDEP}]
dev-python/mkdocs-material[${PYTHON_USEDEP}]
)
"
@@ -33,3 +35,14 @@ BDEPEND="
distutils_enable_tests pytest
export PDM_BUILD_SCM_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # "None" meaning particular formatter not installed
+ "tests/test_rendering.py::test_format_code[None-print('Hello')]"
+ "tests/test_rendering.py::test_format_code[None-aaaaa(bbbbb, ccccc=1) + ddddd.eeeee[ffff] or {ggggg: hhhhh, iiiii: jjjjj}]"
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p inline_snapshot
+}
diff --git a/dev-python/moto/Manifest b/dev-python/moto/Manifest
index ab9d6a13b9ec..835bf2806f2e 100644
--- a/dev-python/moto/Manifest
+++ b/dev-python/moto/Manifest
@@ -1,3 +1,4 @@
DIST moto-4.2.14.tar.gz 4933741 BLAKE2B 4c50a808dc8f27cfbcd0ba234d268084ee9a32f36cb5d6af61aacc4ee79f7bf5cf1045147c4642472129eee37bef8bc2c1953d140260d39d7f333ae0f5e5cf95 SHA512 d4079118ed1d2eef9134575e33dc0ed749bff0293d753baa63a630dbb987914b9933445027abdc344bb93fa1d6e483baf8a337a444c9dd055dda50b095ff9937
DIST moto-5.0.22.tar.gz 6303034 BLAKE2B 6607f14c2246a63c289ee0ab6b4168a5446e46a9616f680fc2f1ece70a413d0e31d3e078a108556e723e5b4b08657161e1e2224bc602ca60d6c5e935f37af50c SHA512 3f5dcf4f514e7c0864b9a29b26f795505d4604a26c4e062fab4f0414c7a8e009542957ca3c3c6e763e6bccdbd22b74791f3a01f6a52b87a155fe804efeaf9167
DIST moto-5.0.24.tar.gz 6326457 BLAKE2B 0bf61468c8f85d0a202710f668a07428ffbe07e463a9972cc1f319776410c946692765150fddf7bb36088f6e10ce6e328cce58e87f1d340321f46c771239e753 SHA512 0a583bf9fdf7dd962e7584c719db597169f90161c07802209e2865ff1da748ebe31a303a24908942e3a741426de8eed49f5e332e6755a9e923009f50e24307ed
+DIST moto-5.0.25.tar.gz 6404745 BLAKE2B 322f6b1cd2e8a61931a45d4863d96eaf52b014061239be18a36b037fe75d14a1af3feb9dcf62885d486ffe4294f51745f1c38f8ca060eb3031a5d6796b2141b3 SHA512 dbf7280e3e994f1b86232f49d90e39809c0bfcffea9a016d671a262e6aa181538b4cea13a6011b2a51801b205a3e769014e25e51be496774e68c67abec4e1ecd
diff --git a/dev-python/moto/moto-5.0.25.ebuild b/dev-python/moto/moto-5.0.25.ebuild
new file mode 100644
index 000000000000..dc2ee4563a91
--- /dev/null
+++ b/dev-python/moto/moto-5.0.25.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi toolchain-funcs
+
+DESCRIPTION="Mock library for boto"
+HOMEPAGE="
+ https://github.com/getmoto/moto/
+ https://pypi.org/project/moto/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-xray-sdk-0.93[${PYTHON_USEDEP}]
+ dev-python/boto3[${PYTHON_USEDEP}]
+ >=dev-python/botocore-1.14.0[${PYTHON_USEDEP}]
+ >=dev-python/cfn-lint-0.40.0[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-35.0.0[${PYTHON_USEDEP}]
+ dev-python/cookies[${PYTHON_USEDEP}]
+ >=dev-python/docker-3.0.0[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-cors[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.5[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-2.10.1[${PYTHON_USEDEP}]
+ dev-python/jsonpath-ng[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3.0.7[${PYTHON_USEDEP}]
+ >=dev-python/openapi-spec-validator-0.5.0[${PYTHON_USEDEP}]
+ dev-python/pyaml[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/python-jose[${PYTHON_USEDEP}]
+ >=dev-python/responses-0.15.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5[${PYTHON_USEDEP}]
+ dev-python/sshpubkeys[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/antlr4-python3-runtime[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ )
+"
+
+: "${EPYTEST_TIMEOUT:=180}"
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Needs network (or docker?) but not marked as such, bug #807031
+ # TODO: report upstream
+ tests/test_core/test_request_passthrough.py
+ tests/test_core/test_responses_module.py::TestResponsesMockWithPassThru::test_aws_and_http_requests
+ tests/test_core/test_responses_module.py::TestResponsesMockWithPassThru::test_http_requests
+ # broken code? (local variable used referenced before definition)
+ tests/test_appsync/test_appsync_schema.py
+ # require py_partiql_parser
+ tests/test_s3/test_s3_select.py
+ tests/test_dynamodb/test_dynamodb_statements.py
+ # require joserfc
+ tests/test_apigateway/test_apigateway.py::test_update_authorizer_configuration
+ tests/test_apigateway/test_apigateway.py::test_create_authorizer
+ tests/test_apigateway/test_apigateway.py::test_delete_authorizer
+ tests/test_cognitoidp/test_cognitoidp_exceptions.py::TestCognitoUserDeleter::test_authenticate_with_signed_out_user
+ tests/test_cognitoidp/test_cognitoidp_exceptions.py::TestCognitoUserPoolDuplidateEmails::test_use_existing_email__when_email_is_
+ tests/test_cognitoidp/test_cognitoidp_exceptions.py::TestCognitoUserPoolDuplidateEmails::test_use_existing_email__when_username_
+ tests/test_cognitoidp/test_cognitoidp_replay.py::TestCreateUserPoolWithPredeterminedID::test_different_seed
+ tests/test_cognitoidp/test_cognitoidp_replay.py::TestCreateUserPoolWithPredeterminedID::test_same_seed
+ tests/test_cognitoidp/test_server.py::test_sign_up_user_without_authentication
+ tests/test_cognitoidp/test_server.py::test_admin_create_user_without_authentication
+ tests/test_cognitoidp/test_server.py::test_associate_software_token
+ # TODO
+ tests/test_dynamodb/test_dynamodb_import_table.py
+ tests/test_firehose/test_firehose_put.py::test_put_record_http_destination
+ tests/test_firehose/test_firehose_put.py::test_put_record_batch_http_destination
+ tests/test_stepfunctions/parser/test_stepfunctions_dynamodb_integration.py::test_zero_retry
+ # random crashes
+ tests/test_stepfunctions/parser/test_stepfunctions_sns_integration.py
+ tests/test_stepfunctions/parser/test_stepfunctions_sqs_integration.py
+ tests/test_stepfunctions/test_stepfunctions.py
+ )
+ local EPYTEST_IGNORE=(
+ # require joserfc
+ tests/test_cognitoidp/test_cognitoidp.py
+ )
+
+ case ${EPYTHON} in
+ python3.13)
+ EPYTEST_DESELECT+=(
+ # suddenly started crashing, *shrug*
+ tests/test_xray/test_xray_client.py::test_xray_context_patched
+ tests/test_xray/test_xray_client.py::test_xray_dynamo_request_id
+ tests/test_xray/test_xray_client.py::test_xray_dynamo_request_id_with_context_mgr
+ tests/test_xray/test_xray_client.py::test_xray_udp_emitter_patched
+ )
+ ;;
+ esac
+
+ if ! tc-has-64bit-time_t; then
+ einfo "time_t is smaller than 64 bits, will skip broken tests"
+ EPYTEST_DESELECT+=(
+ tests/test_acm/test_acm.py::test_request_certificate_with_optional_arguments
+ tests/test_s3/test_multiple_accounts_server.py::TestAccountIdResolution::test_with_custom_request_header
+ tests/test_s3/test_server.py::test_s3_server_post_cors_multiple_origins
+ )
+ EPYTEST_IGNORE+=(
+ tests/test_route53domains/test_route53domains_domain.py
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x TZ=UTC
+
+ rm -rf moto || die
+ epytest -m 'not network and not requires_docker' \
+ -p rerunfailures --reruns=5
+}
diff --git a/dev-python/pulsectl/Manifest b/dev-python/pulsectl/Manifest
index de9c0a0f33e3..53ed570708a1 100644
--- a/dev-python/pulsectl/Manifest
+++ b/dev-python/pulsectl/Manifest
@@ -1 +1,2 @@
DIST pulsectl-24.11.0.tar.gz 41166 BLAKE2B 1dc94c8191d7c47e8185c2a31de380a4b3d0b945201e9643e225eb383c1ed101d6119571b5bfba118b28f9215ff0b2a446156af1fc86226280dbb3cb951bbc96 SHA512 3fa4f913a0cf5dca4e5d24019cd69f3045c3116693ad503f7de04e013be5141a3bcaeda72b73258372d56fb2f35bf321e09ca4c1ed1f6d8880124b744195a124
+DIST pulsectl-24.12.0.tar.gz 41200 BLAKE2B eb5a8eb55c0e3a3c8119e3962fe5ab1f6a53abb9a75d39477c22aa11867d895ab77f876afe4d7f1b066cbd59c65e11db76c9ed0c958c1c9d0d03c3132301397a SHA512 c0e0d71b9f396cbbe29f96d1a8c5e72fbdbdc7e8c06fccfc261b93691c2000fde7761faa8dad34bd04a04cdc9dc75fe509d3f864056fff92329ca7c4c1435f6e
diff --git a/dev-python/pulsectl/pulsectl-24.12.0.ebuild b/dev-python/pulsectl/pulsectl-24.12.0.ebuild
new file mode 100644
index 000000000000..d343fb937a40
--- /dev/null
+++ b/dev-python/pulsectl/pulsectl-24.12.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python high-level interface and ctypes-based bindings for PulseAudio (libpulse)"
+HOMEPAGE="
+ https://github.com/mk-fg/python-pulse-control/
+ https://pypi.org/project/pulsectl/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ media-libs/libpulse
+"
+BDEPEND="
+ test? (
+ media-sound/pulseaudio-daemon
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/pyqt-builder/pyqt-builder-1.17.0.ebuild b/dev-python/pyqt-builder/pyqt-builder-1.17.0.ebuild
index ba51a168bec8..e9501a34c304 100644
--- a/dev-python/pyqt-builder/pyqt-builder-1.17.0.ebuild
+++ b/dev-python/pyqt-builder/pyqt-builder-1.17.0.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ppc64 ~riscv x86"
+KEYWORDS="amd64 arm arm64 ~loong ~ppc ppc64 ~riscv x86"
RDEPEND="
dev-python/packaging[${PYTHON_USEDEP}]
diff --git a/dev-python/pyqt6-sip/pyqt6-sip-13.9.1.ebuild b/dev-python/pyqt6-sip/pyqt6-sip-13.9.1.ebuild
index 915a85c02b51..d91993405db9 100644
--- a/dev-python/pyqt6-sip/pyqt6-sip-13.9.1.ebuild
+++ b/dev-python/pyqt6-sip/pyqt6-sip-13.9.1.ebuild
@@ -14,4 +14,4 @@ HOMEPAGE="https://pypi.org/project/PyQt6-sip/"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ppc64 ~riscv x86"
+KEYWORDS="amd64 arm arm64 ~loong ~ppc ppc64 ~riscv x86"
diff --git a/dev-python/pyqt6-webengine/pyqt6-webengine-6.8.0.ebuild b/dev-python/pyqt6-webengine/pyqt6-webengine-6.8.0.ebuild
index d2a3de785020..1687c5d01778 100644
--- a/dev-python/pyqt6-webengine/pyqt6-webengine-6.8.0.ebuild
+++ b/dev-python/pyqt6-webengine/pyqt6-webengine-6.8.0.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="https://www.riverbankcomputing.com/software/pyqtwebengine/"
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm64"
+KEYWORDS="amd64 arm64"
IUSE="debug quick +widgets"
RDEPEND="
diff --git a/dev-python/pyqt6/pyqt6-6.8.0.ebuild b/dev-python/pyqt6/pyqt6-6.8.0.ebuild
index 86e503bfc927..92cfa82ca761 100644
--- a/dev-python/pyqt6/pyqt6-6.8.0.ebuild
+++ b/dev-python/pyqt6/pyqt6-6.8.0.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/"
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ppc64 ~riscv x86"
+KEYWORDS="amd64 arm arm64 ~loong ~ppc ppc64 ~riscv x86"
# defaults match what is provided with qtbase by default (except testlib),
# reduces the need to set flags but does increase build time a fair amount
IUSE="
diff --git a/dev-python/pyside6-tools/pyside6-tools-6.8.1.ebuild b/dev-python/pyside6-tools/pyside6-tools-6.8.1.ebuild
index 2de6be843010..815ed09588d9 100644
--- a/dev-python/pyside6-tools/pyside6-tools-6.8.1.ebuild
+++ b/dev-python/pyside6-tools/pyside6-tools-6.8.1.ebuild
@@ -21,7 +21,7 @@ S="${WORKDIR}/${MY_P}/sources/pyside-tools"
LICENSE="GPL-2"
SLOT="6/${PV}"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
# Minimal supported version of Qt.
diff --git a/dev-python/pyside6/pyside6-6.8.1.ebuild b/dev-python/pyside6/pyside6-6.8.1.ebuild
index b7386604992b..99c21dbd9920 100644
--- a/dev-python/pyside6/pyside6-6.8.1.ebuild
+++ b/dev-python/pyside6/pyside6-6.8.1.ebuild
@@ -38,7 +38,7 @@ S="${WORKDIR}/${MY_P}/sources/pyside6"
# x11extras (for X)
LICENSE="|| ( GPL-2 GPL-3+ LGPL-3 )"
SLOT="6/${PV}"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
IUSE="
3d bluetooth charts +concurrent +dbus designer gles2-only +gui help
httpserver location multimedia +network network-auth nfc positioning +opengl
diff --git a/dev-python/pyzotero/Manifest b/dev-python/pyzotero/Manifest
index 654353280cd0..9fd540ca8b37 100644
--- a/dev-python/pyzotero/Manifest
+++ b/dev-python/pyzotero/Manifest
@@ -1,2 +1,3 @@
DIST pyzotero-1.5.28.tar.gz 543724 BLAKE2B 9dc01bb0af052936419c47c02f02da4bc1aaa14c4b3307902b3119bda967f4b7f9a1ccac9dbc3637485d236acac606247bc1baeda8942084914254fc2dcb48b9 SHA512 0a11d0326b25f23a1a8e016668693b29571227097de0af8fd9b3c24ee90a56150687fa1305ef45c232aa9a6b7d8c705b0d3d72695cc8316b5d0015b8841b638d
DIST pyzotero-1.6.0.tar.gz 543969 BLAKE2B 30b96295a01006eba370474f6d907f4e19f03c3f3d370071a3a752f3a14fd27a314acc611889887fb52a6f6943a5cd082322c7a20a9f68a0dda5582fee825f11 SHA512 fa576e85058df84c529b304a8273f64fce867823b8ecc1405ab49699fba321c4847f764280deb6052ca62fb350f73cc78e1b9984ba3623fb6884420077633afe
+DIST pyzotero-1.6.1.tar.gz 544183 BLAKE2B 9bf62f387e35440a05bc1195395c959e0ac61bad274a12dadffc946d368ce1fdf3309b4475c762e44987964ab42c710e05c300f9627b9710383290f6a4409ea9 SHA512 591c30cb47e78aeaefd475c11478cb8422448c002164cd962ff2c9fee18f8cdf62ef96670f1c325595cdbe5d64fffc2abc4f72a48d6656aeb463456f38248d66
diff --git a/dev-python/pyzotero/pyzotero-1.6.1.ebuild b/dev-python/pyzotero/pyzotero-1.6.1.ebuild
new file mode 100644
index 000000000000..bebe284de971
--- /dev/null
+++ b/dev-python/pyzotero/pyzotero-1.6.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python client for the Zotero API"
+HOMEPAGE="
+ https://github.com/urschrei/pyzotero/
+ https://pypi.org/project/pyzotero/
+"
+
+LICENSE="BlueOak-1.0.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ app-text/zotero-bin
+ dev-python/bibtexparser[${PYTHON_USEDEP}]
+ >=dev-python/feedparser-6.0.11[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.21.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ >=dev-python/trove-classifiers-2024.7.2[${PYTHON_USEDEP}]
+ test? (
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/httpretty[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc --no-autodoc
+distutils_enable_tests pytest
diff --git a/dev-python/qtpy/qtpy-2.4.2-r1.ebuild b/dev-python/qtpy/qtpy-2.4.2-r1.ebuild
index 2130aba841c3..3df2e1441e80 100644
--- a/dev-python/qtpy/qtpy-2.4.2-r1.ebuild
+++ b/dev-python/qtpy/qtpy-2.4.2-r1.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ~loong ~ppc64 ~riscv x86"
_IUSE_QT_MODULES="
bluetooth dbus designer +gui help multimedia +network nfc opengl pdfium
diff --git a/dev-python/shiboken6/shiboken6-6.8.1.ebuild b/dev-python/shiboken6/shiboken6-6.8.1.ebuild
index 24e598fdb89c..335bcdb3a108 100644
--- a/dev-python/shiboken6/shiboken6-6.8.1.ebuild
+++ b/dev-python/shiboken6/shiboken6-6.8.1.ebuild
@@ -32,7 +32,7 @@ S="${WORKDIR}/${MY_P}/sources/shiboken6"
# arbitrarily relicensed. (TODO)
LICENSE="|| ( GPL-2 GPL-3+ LGPL-3 ) GPL-3"
SLOT="6/${PV}"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
IUSE="+docstrings numpy test vulkan"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
diff --git a/dev-python/sip/sip-6.9.1.ebuild b/dev-python/sip/sip-6.9.1.ebuild
index 4c237de1a2c8..588a69c401d4 100644
--- a/dev-python/sip/sip-6.9.1.ebuild
+++ b/dev-python/sip/sip-6.9.1.ebuild
@@ -16,7 +16,7 @@ SRC_URI="
LICENSE="BSD-2 BSD"
SLOT="5"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ppc64 ~riscv ~sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~sparc x86"
RDEPEND="
dev-python/packaging[${PYTHON_USEDEP}]
diff --git a/dev-python/uv/Manifest b/dev-python/uv/Manifest
index ac1b7a3c3e8b..863fa7b4e764 100644
--- a/dev-python/uv/Manifest
+++ b/dev-python/uv/Manifest
@@ -1,9 +1,12 @@
DIST pubgrub-05e8d12cea8d72c6d2d017900e478d0abd28fef4.gh.tar.gz 97027 BLAKE2B b8f5a454dce1b845f4d2ad562a5858e490ef25874b950d12336cdafe2d52dd44e83e86be13ed9637ee8dd1bf312114b1cf07e54523292e24b182c6ae999b398d SHA512 010180c7a294be0727647489cef0dde7024f92d827409872fe596471eb44451ac4a08dc4928fbc774a8b04c944b7daffc4684b0d868eee904222cbf673299f62
DIST pubgrub-57832d0588fbb7aab824813481104761dc1c7740.gh.tar.gz 95600 BLAKE2B 8bdf971091d6816c326925c4603aa9296d6a92c2ede6a6245e0e5e64b741863e5d93aac03990004c13bd592d3d6ca2c662500e4c8d33e9959d6df9e1023a41e5 SHA512 8eae3c00928d921ca7cfdeff124962e477ae32387fb4b1ebfecd968181ec6bb2c2d96c918d8a9f521f1b9666eb6272c9f982b444d22a432f9471414f081694ee
+DIST pubgrub-648aa343486e5529953153781fc86025c73c4a61.gh.tar.gz 99073 BLAKE2B 86252bb78e0f832ce77040d86b188b4dd0637acd68e28c8b87fa36ab7cc23c5e296d0f634647d407bcd7fc24bf6c34d281de1744608ff0fd2741428bb0bf55a8 SHA512 8386273deca98df82c95931159848fa159ea4dbb75b8bba539cfe73f91e87340bc0e8048f1a4483148b021bb99d6a3b90275d9bb1cedccf153a7ebc29bd70e17
DIST rs-async-zip-c909fda63fcafe4af496a07bfda28a5aae97e58d.gh.tar.gz 51763 BLAKE2B 59d053bc6692014d884a9247dea1b57a8789469ba2abbcc92ec21bb0022cbd74874afc463082156ab697aa6c80635019857a5d7e2dc150274e8b04d720518c36 SHA512 3a309566f4925b02496fcf19bc2865968edf6fb65082ca4079d2cee79e6b0353a1910c079f2afe656da0d0f6ddde5102052a221ea35a7dabc6d690a11218b20a
DIST tl-6e25b2ee2513d75385101a8ff9f591ef51f314ec.gh.tar.gz 37106 BLAKE2B c30d1c33f6f52e2bc83823eb6319f8a3e462b7c7408fb6a08f995747857ef234f81db4135a04f9d183095fe473a4087f8f0cb89d8f87ef4400285d2ce034ec22 SHA512 4abbc4240ed129c92da8d616e27a6df0f24cdc85a0803acfdae588ca91f9e5b8d482e3ac88b2e657ff68917b1b43cef1e7ef3c887f624659b231fa5a13fcae68
DIST uv-0.5.10-crates.tar.xz 46466896 BLAKE2B 94093c9d74732dba6516a80fa24c3af8e91df7c97fce4eb7f1914d278060459c09d5c136d5b0a6eba1533f77f4310150761024fd76fded46815c1250b2c2397e SHA512 cef96bee97c01ce43e0274094524f08d51b6c5e26b29e777d5b7462a6cb40b1b0d03e63460cffffdaa217cdb9a8153f608a242d937ad71e55e24f37ad5b83471
DIST uv-0.5.11.gh.tar.gz 3145749 BLAKE2B 7473182f05accb38a2253327f95d874a62defdd43f7b1937e0f03674882c2fc2daaca5b5087a870bc72200342fd0b423c7ffc29dea91959cc6237c241e5b6c73 SHA512 a6f8fea5d30a387e3f7efcdd3b5f721567d48fa55f16ac67cd26f67eff17cd892ba1f4e0f774f8911e679100bcc3e2a9adb8fde7d1082cf3a1419f4227e85a03
+DIST uv-0.5.12-crates.tar.xz 46555948 BLAKE2B 24a69983cd75b3bf3ad7c15503afc4bde7b80a70789630e6b123bf91abffb15b18803d613d81d354842de4a1b522db9aff1c9821722ff6f7188c43577df625b1 SHA512 a30e535e40a67cac18fcdaf9215a43cf870d4d992be9c4a6863c9264d6b8cb29fcc79d11f8757aa70c6701e4e9f06a8281c188b34c0f5ed52d07c034cff8b98c
+DIST uv-0.5.12.gh.tar.gz 3174790 BLAKE2B 5b9ddf4d70e5534731bc50ba168aaa16a3a5321887613d6cc4141e767f1122f8c5bcaf3a2ace3be11e28e61a8eb3ddd7d910a40071ae3cadb57cffbefed087df SHA512 9623b8ece53a4ab9fa3ea2a5f4cffdc3da13645a460b59cd97dcbda9a48247bfbd9fb2316363c7f9c78869cd888511cbcdc528413e6be1ffbca8d9ece210d5ff
DIST uv-0.5.6-crates.tar.xz 46263172 BLAKE2B 73b1d2dc957f89f923dda09a8c038426041292c442ce253ff9110f996cd1e1f892a5a438d8e1c894fc0d823401cced0ddc8ad88b5e6a83199af7055a04ce85dc SHA512 c9d4f8085416bffb1e1872fd907d15a50cae0c0c5fba994d27b3acdc3c836dffd771558246573af4bb7467353a031ea56018d5ae1fbdffa4f63988462de00343
DIST uv-0.5.6.gh.tar.gz 2952255 BLAKE2B b815b60b99f959751f5839365b8b210919247ad99bff93ee4d202bc152bd06b83a62914cfbf341bfddb5b2c87d9e546c5e2a6d1baff1599d0218160ee89de504 SHA512 fc8c7f4f60a3d2ce997341450daf20ad039ef379ac5dd4575f8db0327284bd8278419b66f8f9695f2701a9579ab004b5b60476bd8dc4c27314211f795118bc5a
DIST uv-0.5.8-crates.tar.xz 46445240 BLAKE2B 119e471d7f9a851179e2e5d9cd15cb94476355e27db36b05378036b7f9a3e0021a33a2fd29ed9e5a67cd7d962783b3ea96145ca9092da0a6a114899ff2b712fd SHA512 d517fdc9e48b4cb4acacf1d3c986c7e348ee65c89cb5bdbd9c3947f66d450f7f59b5a4f5f0f45560d5241bc8f7756039014cf350a8aea22be876c197759e5aff
diff --git a/dev-python/uv/uv-0.5.12.ebuild b/dev-python/uv/uv-0.5.12.ebuild
new file mode 100644
index 000000000000..7eaa8c0ef6ae
--- /dev/null
+++ b/dev-python/uv/uv-0.5.12.ebuild
@@ -0,0 +1,170 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+ [async_zip]='https://github.com/charliermarsh/rs-async-zip;c909fda63fcafe4af496a07bfda28a5aae97e58d;rs-async-zip-%commit%'
+ [pubgrub]='https://github.com/astral-sh/pubgrub;648aa343486e5529953153781fc86025c73c4a61;pubgrub-%commit%'
+ [tl]='https://github.com/astral-sh/tl;6e25b2ee2513d75385101a8ff9f591ef51f314ec;tl-%commit%'
+ [version-ranges]='https://github.com/astral-sh/pubgrub;648aa343486e5529953153781fc86025c73c4a61;pubgrub-%commit%/version-ranges'
+)
+
+RUST_MIN_VER="1.83.0"
+
+inherit cargo check-reqs
+
+CRATE_PV=${PV}
+DESCRIPTION="A Python package installer and resolver, written in Rust"
+HOMEPAGE="
+ https://github.com/astral-sh/uv/
+ https://pypi.org/project/uv/
+"
+# pypi sdist misses scripts/, needed for tests
+SRC_URI="
+ https://github.com/astral-sh/uv/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+"
+if [[ ${PKGBUMPING} != ${PVR} ]]; then
+ SRC_URI+="
+ https://dev.gentoo.org/~mgorny/dist/uv-${CRATE_PV}-crates.tar.xz
+ "
+fi
+
+# most of the code
+LICENSE="|| ( Apache-2.0 MIT )"
+# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
+# Dependent crate licenses
+LICENSE+="
+ 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
+ MPL-2.0 Unicode-3.0 Unicode-DFS-2016 ZLIB
+"
+# ring crate
+LICENSE+=" openssl"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="test"
+PROPERTIES="test_network"
+
+DEPEND="
+ app-arch/bzip2:=
+ app-arch/xz-utils:=
+ app-arch/zstd:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ test? (
+ dev-lang/python:3.8
+ dev-lang/python:3.9
+ dev-lang/python:3.10
+ dev-lang/python:3.11
+ dev-lang/python:3.12
+ !!~dev-python/uv-0.5.0
+ )
+"
+
+QA_FLAGS_IGNORED="usr/bin/.*"
+
+check_space() {
+ local CHECKREQS_DISK_BUILD=3G
+ use debug && CHECKREQS_DISK_BUILD=9G
+ check-reqs_pkg_setup
+}
+
+pkg_pretend() {
+ check_space
+}
+
+pkg_setup() {
+ check_space
+ rust_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # enable system libraries where supported
+ export ZSTD_SYS_USE_PKG_CONFIG=1
+ # TODO: unbundle libz-ng-sys, tikv-jemalloc-sys?
+
+ # remove unbundled sources, just in case
+ find "${ECARGO_VENDOR}"/{bzip2,lzma,zstd}-sys-*/ -name '*.c' -delete || die
+
+ # bzip2-sys requires a pkg-config file
+ # https://github.com/alexcrichton/bzip2-rs/issues/104
+ mkdir "${T}/pkg-config" || die
+ export PKG_CONFIG_PATH=${T}/pkg-config${PKG_CONFIG_PATH+:${PKG_CONFIG_PATH}}
+ cat >> "${T}/pkg-config/bzip2.pc" <<-EOF || die
+ Name: bzip2
+ Version: 9999
+ Description:
+ Libs: -lbz2
+ EOF
+}
+
+src_configure() {
+ local myfeatures=(
+ git
+ pypi
+ python
+ )
+
+ cargo_src_configure --no-default-features
+}
+
+src_compile() {
+ cd crates/uv || die
+ cargo_src_compile
+}
+
+src_test() {
+ # work around https://github.com/astral-sh/uv/issues/4376
+ local -x PATH=${BROOT}/usr/lib/python-exec/python3.12:${PATH}
+ local -x COLUMNS=100
+ local -x PYTHONDONTWRITEBYTECODE=
+ # fix tests failing because of our config
+ local -x XDG_CONFIG_DIRS=${T}
+
+ cd crates/uv || die
+ cargo_src_test --no-fail-fast
+}
+
+src_install() {
+ cd crates/uv || die
+ cargo_src_install
+
+ insinto /etc/xdg/uv
+ newins - uv.toml <<-EOF || die
+ # These defaults match Fedora, see:
+ # https://src.fedoraproject.org/rpms/uv/pull-request/18
+
+ # By default ("automatic"), uv downloads missing Python versions
+ # automatically and keeps them in the user's home directory.
+ # Disable that to make downloading opt-in, and especially
+ # to avoid unnecessarily fetching custom Python when the distro
+ # package would be preferable. Python builds can still be
+ # downloaded manually via "uv python install".
+ #
+ # https://docs.astral.sh/uv/reference/settings/#python-downloads
+ python-downloads = "manual"
+
+ # By default ("managed"), uv always prefers self-installed
+ # Python versions over the system Python, independently
+ # of versions. Since we generally expect users to use that
+ # to install old Python versions not in ::gentoo anymore,
+ # this effectively means that uv would end up preferring very
+ # old Python versions over the newer ones that are provided
+ # by the system. Default to using the system versions to avoid
+ # this counter-intuitive behavior.
+ #
+ # https://docs.astral.sh/uv/reference/settings/#python-preference
+ python-preference = "system"
+ EOF
+}